Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class time

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.time

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class time

extends DefaultInternalAction

Internal action: `.time(HH,MM,SS)`.

Description: gets the current time (hour, minute, and seconds).

Parameters:

- +/- hours (number): the hours (0--23).
- +/- minutes (number): the minutes (0--59).
- +/- seconds (number): the seconds (0--59).

Examples:

- `.time(H,M,S)`: unifies H with the current hour, M with the current minutes, and S with the current seconds.
- `.time(15,_,_)`: succeeds if it is now 3pm or a bit later but not yet 4pm.

See Also:
  `date`, `function time`, Serialized Form

Constructor Summary
`time()`

Method Summary
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### time

    public time()

Method Detail

### create

    public static InternalAction create()

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD